org.apache.commons.collections4.keyvalue

## Class DefaultMapEntry<K,V>

- java.lang.Object
- - org.apache.commons.collections4.keyvalue.AbstractKeyValue<K,V>
  - - org.apache.commons.collections4.keyvalue.AbstractMapEntry<K,V>
    - - org.apache.commons.collections4.keyvalue.DefaultMapEntry<K,V>

- Type Parameters:
    `K` - the type of keys
    `V` - the type of mapped values
  All Implemented Interfaces:
    Map.Entry<K,V>, KeyValue<K,V>

      public final class DefaultMapEntry<K,V>
      extends AbstractMapEntry<K,V>

  A restricted implementation of `Map.Entry` that prevents the `Map.Entry` contract from being broken.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMapEntry(KeyValue<? extends K,? extends V> pair)` Constructs a new entry from the specified `KeyValue`.
    `DefaultMapEntry(K key, V value)` Constructs a new entry with the specified key and given value.
    `DefaultMapEntry(Map.Entry<? extends K,? extends V> entry)` Constructs a new entry from the specified `Map.Entry`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.collections4.keyvalue.AbstractMapEntry

      `equals, hashCode, setValue`

    - ### Methods inherited from class org.apache.commons.collections4.keyvalue.AbstractKeyValue

      `getKey, getValue, setKey, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue, getKey, getValue`

- - ### Constructor Detail

    - #### DefaultMapEntry

          public DefaultMapEntry(K key,
                                 V value)

      Constructs a new entry with the specified key and given value.
      Parameters:
        `key` - the key for the entry, may be null
        `value` - the value for the entry, may be null

    - #### DefaultMapEntry

          public DefaultMapEntry(KeyValue<? extends K,? extends V> pair)

      Constructs a new entry from the specified `KeyValue`.
      Parameters:
        `pair` - the pair to copy, must not be null
      Throws:
        `NullPointerException` - if the entry is null

    - #### DefaultMapEntry

          public DefaultMapEntry(Map.Entry<? extends K,? extends V> entry)

      Constructs a new entry from the specified `Map.Entry`.
      Parameters:
        `entry` - the entry to copy, must not be null
      Throws:
        `NullPointerException` - if the entry is null

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.